GFDF(1)

NAME
gfdf - display disk free space of Gfarm file system

SYNOPSIS

gfdf [options]

DESCRIPTION

gfdf displays disk usage and free space of Gfarm file system.

OPTIONS

-a
    Displays only summary information of the Gfarm file system.

-h
    Displays numbers in human readable format by adding a prefix multiplier symbol like "M" (mega). Since this option uses powers of 1024, "M" means 1,048,576.

-H
    Displays numbers in human readable format by adding a prefix multiplier symbol like "M" (mega). Since this option uses powers of 1000, "M" means 1,000,000.

-n
    Displays hostnames of available Gfarm file system nodes.

-r
    Sort output in the reverse order.

-S
    Sort output in the increasing order of the available disk capacity.

-P path
    Specifies a path name to specify a metadata server instead of the root metadata server. Note that this option is not effective with the -a option.

-D domainname
    Specifies a domain name of filesystem nodes to list the status of disk free space.

-R
    Displays real disk spaces even if some Gfarm file system nodes are readonly. Please see also the following NOTES.

-?
    Displays a list of command options.

NOTES

Filesystem nodes may be changed to a read-only mode by the gfhost command. The read-only filesystem nodes are internally treated as disk full not to create a new file. That is why gfdf shows these read-only filesystem nodes have no available capacity. With the -R option, gfdf shows the real disk usage. The -a option is not affected by this behavior, which shows the real disk usage always.

SEE ALSO

gfhost(1), gfarm2.conf(5)